## org.gnu.pango
Class Alignment

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.Alignment

public class Alignment
extends Enum

describes how to align the lines of a PangoLayout within the available space. If the PangoLayout is set to justify using pango_layout_set_justify(), then this only has an effect for partial lines.

Field Summary
`static Alignment` `CENTER` Center the line within the available space
`static Alignment` `LEFT` Put all available space on the right
`static Alignment` `RIGHT` Put all available space on the left

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`Alignment` `and(Alignment other)`
`static Alignment` `intern(int value)`
`Alignment` `or(Alignment other)`
`boolean` `test(Alignment other)`
`Alignment` `xor(Alignment other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT

    public static final Alignment LEFT

  Put all available space on the right

### CENTER

    public static final Alignment CENTER

  Center the line within the available space

### RIGHT

    public static final Alignment RIGHT

  Put all available space on the left

Method Detail

### intern

    public static Alignment intern(int value)

### or

    public Alignment or(Alignment other)

### and

    public Alignment and(Alignment other)

### xor

    public Alignment xor(Alignment other)

### test

    public boolean test(Alignment other)